summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-03-26 20:23:36 -0400
committerFeng Pan <fpan@redhat.com>2016-03-26 20:23:36 -0400
commitac41ffe55ab676f4dceb317f28707261f63f615a (patch)
tree9b7b4d41ba37a41fda1dc90d999e71a1820b6478
parent301db94be90c7ec6930510ea92d9d3a31375cfc6 (diff)
Fixes occasional VM stoage deleltion failure
Removes --remove-all-storage option in ci/clean.sh JIRA: APEX-121 Change-Id: I6c0f4febe1f6543f3407b329a5f18df81e02d28c Signed-off-by: Feng Pan <fpan@redhat.com>
-rwxr-xr-xci/clean.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
index f05b913..4eafba0 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -20,7 +20,7 @@ vm_index=4
ovs_bridges="brbm brbm1 brbm2 brbm3"
# Clean off instack VM
virsh destroy instack 2> /dev/null || echo -n ''
-virsh undefine instack --remove-all-storage 2> /dev/null || echo -n ''
+virsh undefine instack 2> /dev/null || echo -n ''
if ! virsh vol-delete instack.qcow2 --pool default 2> /dev/null; then
if [ ! -e /var/lib/libvirt/images/instack.qcow2 ]; then
/usr/bin/touch /var/lib/libvirt/images/instack.qcow2
@@ -33,7 +33,7 @@ rm -f /var/lib/libvirt/images/instack.qcow2 2> /dev/null
# Clean off baremetal VMs in case they exist
for i in $(seq 0 $vm_index); do
virsh destroy baremetalbrbm_brbm1_brbm2_brbm3_$i 2> /dev/null || echo -n ''
- virsh undefine baremetalbrbm_brbm1_brbm2_brbm3_$i --remove-all-storage 2> /dev/null || echo -n ''
+ virsh undefine baremetalbrbm_brbm1_brbm2_brbm3_$i 2> /dev/null || echo -n ''
/usr/bin/touch /var/lib/libvirt/images/baremetalbrbm_brbm1_brbm2_brbm3_${i}.qcow2
virsh vol-delete baremetalbrbm_brbm1_brbm2_brbm3_${i}.qcow2 --pool default 2> /dev/null
rm -f /var/lib/libvirt/images/baremetalbrbm_brbm1_brbm2_brbm3_${i}.qcow2 2> /dev/null